Loading...
Searching...
No Matches
msg_buffer_s Struct Reference

Buffer for message body. More...

`#include <msg_internal.h>`

Collaboration diagram for msg_buffer_s:
[legend]

## Data Fields

char * | b_data
| Data - may contain NUL.
size_t | b_size
| Length of message payload.
size_t | b_used
| Used data.
size_t | b_avail
| Available data.
int | b_complete
| This buffer completes the message.
msg_buffer_t * | b_next
| Next buffer.
msg_payload_t * | b_chunks
| List of body chunks.

## Detailed Description

Buffer for message body.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.